[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CallNextHookEx

Calls the next procedure in the hook chain.

## Declaration

Source position: winapih.inc line 41

`public function TWidgetSet.CallNextHookEx(`
`hhk: HHOOK;`
`ncode: Integer;`
`WParam: WPARAM;`
`LParam: LPARAM`
`):Integer; virtual;`

## Arguments

`hhk` |  | Handle of the current hook.
`ncode` |  | The Hook code (message ID).
`WParam` |  | Message parameter.
`LParam` |  | Message parameter.

## Function result

Depends on the Hook type.